1. Torquewrench's Avatar
    So I started out with the 3GS on 3.1.2, baseband 5.11.07, with Cydia SHSH blob backups.

    Using sn0wbreeze 2.0.1 last night I created the new .ipsw file but like a dope picked the unmodified iOS 4.1 file in the folder and not the sn0wbreeze modded one on the desktop. D'oh!

    So now I have a 3GS with 4.1 on it and I'm wondering if there's currently any way to jailbreak. I first attempted to load the modded 4.1 .ipsw and iTunes hung on "preparing iPhone..." with error 3194, then I attempted to restore to 3.1.2 (yes, I modified the hosts file to point to Saurik) and iTunes hangs on "preparing iPhone...".

    Hoping someone with a comprehensive understanding of the situation can recommend a path if there is one, or do I need to start with a new phone with 3.1.2 jailbroken.

    Thanks a ton,

    Torquewrench
    2010-09-23 09:59 PM
  2. iYeow's Avatar
    Only if you have the old bootrom , you do this :
    Yes, you have to downgrade to 3.xx , I suggest you downgrade to 3.1.2 or 3.1.3 if you have any of these shsh blogs. Two ways to do that, either you point your hosts file towards Saurik server or you store you hosts file locally and use Tss server from Tiny Umbrella to do the downgrade.
    Once the restore to 3.1.2 or 3.1.3 is done, jailbreak it with Redsn0w 0.9.4, then restore to snowbreeze 4.1 ipsw.

    If you have the new boorom, then you have to downgrade to 4.0.1 with shsh blogs and then do the jailbreakme.com again.
    2010-09-23 10:09 PM
  3. Torquewrench's Avatar
    Thanks for the quick response

    using f0recast before the upgrade I had bootloader 6.4, is that what people are referring to as the bootrom? Can you tell if that's old or new? And would the upgrade have changed that?

    I do have my SHSH stored at cydia and I tried to downgrade by pointing to Saurik's servers but as I said it timed out at the "Preparing iPhone..." stage witha 3194 error. Any idea what that means?

    Thanks again,

    Torquewrench
    2010-09-23 11:14 PM
  4. dhamien's Avatar
    Thanks for the quick response

    using f0recast before the upgrade I had bootloader 6.4, is that what people are referring to as the bootrom? Can you tell if that's old or new? And would the upgrade have changed that?

    I do have my SHSH stored at cydia and I tried to downgrade by pointing to Saurik's servers but as I said it timed out at the "Preparing iPhone..." stage witha 3194 error. Any idea what that means?

    Thanks again,

    Torquewrench
    The bootrom is either 359.3 or 359.3.2. It can't be up- or downgraded so it'll always be either of those two versions. The bootloader version is not important.

    Simply having your SHSH stored doesn't mean much. It's for which version you have SHSH stored for. In order to restore to 3.1.2 you'd need the 3.1.2 SHSH. To check which SHSHs you have, use TinyUmrella and select Cydia as the source. Then start at 4.1 and work your way down in version. When TU fails to get an SHSH you stop. The versions you have SHSHs for at that point are the versions you can restore to.
    We're all just toymakers in the game of life.
    2010-09-24 01:15 AM
  5. Torquewrench's Avatar
    Did what you said, used TU to check and the lowest SHSH I had was 3.1.3 even though I know I was on 3.1.2 before all of this, guess I didn't save it to Saurik's. I succesfully downgraded to 3.1.3 and then JB with Spirit. That is awesome, I'm so happy to be back jailbroken!

    Now, the question is, with a 3.1.3 3GS what are my options to have a jailbroken iOS 4.X 3GS? Any?

    Thanks,

    Torquewrench
    2010-09-24 09:43 PM
LINK TO POST COPIED TO CLIPBOARD